Bug 59453 - Problem with SiS Xvideo driver
Problem with SiS Xvideo driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-08 02:23 EST by Martin Gansser
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-13 05:36:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gansser 2002-02-08 02:23:19 EST
Description of Problem:
Hi,
I have a Notebook (Gericom Overdose III) with a SiS 630 Grafic-Chipset.
On the Notebook, RedHat 7.2 with XFree 4.2.0.6.14 is installed.
There are some problems in the SiS XVideo driver, that make it unusable.
For example, DVD-Players as Ogle, Xine, vlc, mplayer ... only shows a blue
screens.
If I use the precompiled sis_drv.o for XFree 4.1 from Thomas Winischhofer, all
looks good.
( http://webit.com/tw/ please select Linux and the SiS630 chipset  to arrive
the site of Thomas Winischhofer).
Thomas Winischhofer told me, that he was only one day to late, that his new
driver comes to the XFree86
4.2 final Version.

The XFree Driver, in Version 4.2.0-6.14 from RawHide are really she...
Can you please take this newer Sources for SiS Chipsets from
http://webit.com/tw/ to solve this problem.


Version-Release number of selected component (if applicable):
XFree-4.2.0-6.14

How Reproducible:
reproducible every time

Steps to Reproduce:
1. start every DVD-Player, and you will see only a blue screen in XVideo Mode
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
substitude the sis_drv.o form Thomas Winischhofer will solve this problem
Comment 1 Mike A. Harris 2002-02-08 18:06:43 EST
I don't understand the sentence:

> The XFree Driver, in Version 4.2.0-6.14 from RawHide are really she...

she?

I will investigate the newer driver, as long as source code is provided.
Red Hat does not ship binary only drivers, so it would have to be driver
source code, that we recompile and not prebuild drivers.  Also I do not
have SiS hardware to test with, so I would require various people who
have SiS hardware to volunteer to test any new patches.

I'll look into this and update the report once I've looked at the code,
if it's available.

Thanks.
Comment 2 Martin Gansser 2002-02-09 03:06:15 EST
Hi,
I the source driver is available on: 
http://www.webit.at/~twinny/sis_drv_src_010202.tar.gz

I think if you use the SOURCE code, which does not become worse driver, as it 
already is. It can be only of advantage.  Apology this is my personal opinion.

thanks
Martin
Comment 3 Martin Gansser 2002-03-05 07:22:36 EST
is in the meantime a newer XFree driver available, which correct this problem ?
Comment 4 Martin Gansser 2002-05-13 05:36:46 EDT
Problem solved with RedHat 7.3 and XFree 4.2.x

Note You need to log in before you can comment on or make changes to this bug.